# determine the managed node facing ssh server address
---
__kdump_ssh_server_location: "{{ kdump_target.location |
                                 regex_replace('.*@(.*)$', '\\1')
                                 if kdump_target.location is defined
                                 else kdump_ssh_server }}"

__kdump_packages:
  - grubby
  - iproute  # for fact gathering for ip facts
  - kexec-tools
  - openssh-clients

__kdump_required_facts:
  - all_ipv4_addresses
  - all_ipv6_addresses
  - default_ipv4
  - distribution
  - distribution_major_version
  - distribution_version
  - user_id

# the subsets of ansible_facts that need to be gathered in case any of the
# facts in required_facts is missing; see the documentation of
# the 'gather_subset' parameter of the 'setup' module
__kdump_required_facts_subsets: "{{ ['!all', '!min'] +
  __kdump_required_facts }}"
